Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: GentooForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

26.09.2007, 22:41

Probleme mit Firefox und Java / Flash

Tach,

habe ein kleines Problem mit meinem Firefox. Und raucht er regelmäßig ab, hauptsächlich bei Seiten mit Flash oder Java Inhalten, hat jemand evtl auch Probleme damit?

Habe hier mal die Error-Message aus der Konsole:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
No running windows found
which: no soundwrapper in (/usr/bin:/bin:/usr/X11R6/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.1.2:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/kde/3.5/bin:/usr/qt/3/bin)
#
# An unexpected error has been detected by HotSpot Virtual Machine:
#
#  SIGSEGV (0xb) at pc=0x00002b13fedd77da, pid=29767, tid=1100601680
#
# Java VM: Java HotSpot(TM) 64-Bit Server VM (Blackdown-1.4.2-03 mixed mode)
# Problematic frame:
# V  [libjvm.so+0x3327da]
#
# An error report file with more information is saved as hs_err_pid29767.log
#
# If you would like to submit a bug report, please visit:
#   http://www.blackdown.org/cgi-bin/jdk
#
INTERNAL ERROR on Browser End: Pipe closed during read? State may be corrupt
System error?:: Erfolg
firefox-bin exited with non-zero status (255)


btw: was hat dieser Fehler mit dem soundwrapper auf sich?

EDIT: hab auch mal die log-Datei angehängt, vielleicht hilft das weiter...

MfG

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »cockroach« (27.09.2007, 09:06)


2

27.09.2007, 15:32

RE: Probleme mit Firefox und Java / Flash

Hast du schon des Java von Sun getestet?
Intel Pentium 3,6GHz
1,00GB DDR Ram
GeForce FG 6800LE
Asus P5P800 Mainboard

_______________________


Mein Bäckerforum: http://www.baeckerforen.de
Mein OS Forum: http://www.free-your-os.com

3

27.09.2007, 19:38

Ich benutze die Java sun VM und abstürze gibt es auch hier.
Wobei ich es eher bei Flash feststelle.

Z.B. schau ich ein Flash Film auf YouTube und schließe die Seite bevor der Film zu ende ist => Absturz

4

27.09.2007, 20:07

das mit youtube hab ich auch beobachtet, das komische ist allerdings, dass es nicht immer zum Absturz kommt, kA womit es genau zusammen hängt...

mit java von SUN funktioniert bei mir garnix, d.h. er nimmt es nichtmal an und sagt mir, dass kein Java installiert ist, wenn ich ne Seite mit Java-Inhalten aufrufe...

wobei ich es genauso gemacht habe wie bei blackdown, d.h. ich hab einfach unter

Quellcode

1
/usr/lib/mozilla-firefox/plugins

nen Symlink zu

Quellcode

1
/opt/sun-jre-bin-1.5.0.10-i586/plugin/i386/ns7/libjavaplugin_oji.so

gemacht habe, oder habe ich da was falsch gemacht?
hab auch die sun-jdk-1.5 bzw. die 1.6er versucht und hab auch versucht, einen link zur libjava.so zu machen, hat aber alles nichts gebracht.

5

27.09.2007, 20:12

hast du schon mal was von dem Befehl "eselect" gehört???


Du stellst das Plugin mit eselect ein und machst das nicht händisch.

Händisch ist eine unsaubere Lösung.

Schau mal hier.

Viele Grüße
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

6

27.09.2007, 21:29

hätte vielleicht dazu schreiben sollen, dass ich ein 64bit System habe...
Denn mit eselect kann ich nur das emul-linux-x86-java für Firefox-bin wählen jedoch nicht für den 64bit firefox und blackdown bzw. sun kann ich nicht mit eselect auswählen, da das nsplugin-Flag geklammert ist, d.h. ich kann die pakete nicht mit diesem flag emergen, kann es sein, dass dieses Flag unter 64bit nicht unterstützt wird?

7

27.09.2007, 22:59

Aber wie gesagt der Umstieg auf Sun wird wohl nicht um bedingt das Problem beseitigen, denn bei mir tut es nicht.

Zitat

Available Java browser plugins
[1] sun-jdk-1.5 current
[2] sun-jdk-1.6
[3] sun-jre-bin-1.6

8

28.09.2007, 08:04

Also ich habe auch ein 64bit-System mit Firefox und Sun JDK 1.6

Bei mir funktioniert alles super, auch Flash und sowas. Aber Flash wird bei mir glaub ich vom mplayer-nsplugin abgespielt. Bin grad nicht zu hause um das zu prüfen.

Hatte aber anfangs auch Probleme, überhaupt Java und Flash zum Laufen zu bekommen, aber ich hatte es irgendwann hinbekommen. War da nicht auch was mit nspluginwrapper ?!? Damit gehen die 32bit-Plugins im 64bit-Firefox.
$lifetime = $runtime;

9

28.09.2007, 20:54

@LiNuX-FReaK

könntest du bitte mal nachschauen, wenn du wieder zu Hause bist, wegen dem Flash und evlt ne kleine Anleitung geben, wie du Flash und Java eingerichtet hast? Wäre super ;)

11

29.09.2007, 09:53

nach diesem Howto hab ich das Flash bei mir auch installiert, es funzt auch, nur kommt es trotzdem zu den Abstürzen...sonst noch ne Idee, warum der manchmal abschmiert?